[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

RE: problem with installing the Dev. Kit



> checking for tgetent in -ltermlib... no
> checking for tgetent in -ltermcap... no
> checking for tgetent in -lcurses... no
> checking for tgetent in -lterminfo... no
> configure: error: Could not find a term library.
> Configure i /axis/devboard_lx/apps/tools/gdbserver/gdbobj/gdb failed,
> exiting.
> make[1]: *** [gdbserver] Error 1
> 

I was able to reproduce this with make 3.80 and bash 2.0.5b.
What versions do you have?

> However, we HAVE libtermcap-2.0.8-28 installed.

It's not looking for termcap on your host. It's looking for
a cross-compiled term library and libtermcap is there but it's
not able to find it because for some reason LDFLAGS is not set
although CC and CFLAGS are correct. 

> What is missing? We did not find this problem in other installations.

Here's a patch for apps/tools/gdbserver/Makefile. I'm not sure that this
is the correct solution but it works:

--- Makefile    18 Sep 2002 16:29:05 -0000      1.6 
+++ Makefile    17 Jan 2003 10:57:51 -0000 
@@ -31,6 +31,7 @@ 
 gdbserver: 
        @if [ ! -f gdbobj/gdb/gdbserver/Makefile ]; then \ 
                test -d gdbobj || mkdir gdbobj; \ 
+               export CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"; \ 
                mytop=`pwd` \ 
                && cd gdbobj \ 
                && $$mytop/gdb/configure --target=cris; \ 

Best regards
/Jonas